fuss-server - Segnalazione #127

Deployment automatizzato di un client
12/22/2016 11:47 AM - Simone Piccardi

Status: Chiuso Start date: 12/22/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Installazione via PVE, usando installer e preseeding.

History

#1 - 12/22/2016 02:55 PM - Elena Grandi

- Status changed from Nuovo to In elaborazione

Iniziato il lavoro in un branch temporaneo "pxe"

#2 - 12/23/2016 02:48 PM - Elena Grandi
Aggiorno lo status attuale visto che poi ci sara una pausa durante le feste.
fuss-server contiene (nel branch pxe) la configurazione di dhcp e tftp per permettere il boot di rete.
Da fare manca:
1. preparare l'iso da cui installare i client (per testare al momento si puod usare ad esempio l'installer di debian, estraendo in /srv/tftp/ il file
netboot/netboot.tar.gz preso da https://www.debian.org/distrib/netinst#netboot );

2. preparare i file di preseed (che dipendono da cosa c'e sull'iso);
3. configuare il server web su fuss-server per servire i file di preseed ad un indirizzo che l'installer sia in grado di raggiungere.

#3 - 12/23/2016 03:02 PM - Christopher R. Gabriel
refs https://wiki.debian.org/PXEBootInstall

#4 - 01/04/2017 02:06 PM - Elena Grandi
- Assignee changed from Elena Grandi to Christopher R. Gabriel

Sempre nel branch pxe, fatto un po' di fix e aggiunto I'iso di clonezilla, in modo da permettere il caso d'uso "installazione su una macchina, clone via
clonezilla (bootato via pxe) su tutte le altre".
Va testato un po' meglio di quanto sia riuscita a fare io, dopodiché credo che lo si possa mergiare.

Allo stato attuale mi pare che sia stato fatto tutto quello che si puo fare; una volta disponibile il nuovo fuss-client si potra se necessario aggiungere
quanto serve per il suo boot / installazione.

04/09/2024 1/3



https://www.debian.org/distrib/netinst#netboot
https://wiki.debian.org/PXEBootInstall

#5 - 01/10/2017 02:47 PM - Christopher R. Gabriel
- File Screenshot from 2017-01-10 14_46_48.png added

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Provando il branch adesso, rifacendo il pacchetto dal branch, allego screenshot dell'errore nella VM.

#6 - 01/10/2017 07:13 PM - Christopher R. Gabriel

Per riprodurlo: lancio fuss-server create, e alla prima domanda do *C. Questo interrompe, pero' il file di configurazione viene creato vuoto (come da
screenshot). Le esecuzioni successive trovano il file ma non il contenuto, da qui I'errore.

#7 - 01/11/2017 10:37 AM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Uhm, non riesco a riprodurlo

Lancio fuss-server create, alla prima domanda premo ctrl-c

il risultato non & un file vuoto, & un file preso dall'esempio con tutti i campi, ma senza valori, che alla volta successiva fa ripartire le domande.
Ho provato sia su master che sul branch cp.

(intanto posso rendere un po' piu solido il comportamento in caso di file con problemi in generale)

#8 - 01/11/2017 11:04 AM - Elena Grandi

- Status changed from In elaborazione to Commenti

Aggiunto un controllo al caricamento della configurazione che verifichi che il file abbia i campi necessari (sul branch cp, perché c'erano gia delle
modifiche da quelle parti; se serve prima del merge di cp lo cherry-picko in master)

#9 - 01/11/2017 11:05 AM - Elena Grandi

- Status changed from Commenti to In elaborazione

#10 - 01/15/2017 08:51 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Non ho capito il rimesso in elaborazione riassegnato a me: cosa devo fare?

#11 - 01/16/2017 09:02 AM - Elena Grandi

ehm, rimesso in elaborazione perché ci stavo di nuovo lavorando, ma non mi ero accorta di non essere piu I'assegnatario

#12 - 01/19/2017 11:34 AM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel
Il branch pxe & stato mergiato su master.

Riassegno a Christopher perché mi risulta che stia lavorando lui sul file di preseed di fuss-client (ma se c'é un altro ticket per gestire i vari preseed,
per me si pud anche chiudere)
#13 - 01/20/2017 01:47 PM - Christopher R. Gabriel

- Status changed from In elaborazione to Chiuso

Chiudo per ticket specifici

Files
